<?php
ob_start(); // Start reading html
include "script/db.php";

$req_p0 = $db->query('SELECT SUM(points) AS s FROM scores WHERE team = 0');
$r0 = $req_p0->fetchAll(PDO::FETCH_ASSOC);

if(!($r0[0]['s'] > 0)) {
	$r0[0]['s'] = 0;
}

$req_p1 = $db->query('SELECT SUM(points) AS s FROM scores WHERE team = 1');
$r1 = $req_p1->fetchAll(PDO::FETCH_ASSOC);

if(!($r1[0]['s'] > 0)) {
	$r1[0]['s'] = 0;
}
?>
<main>
	<div class="box-jaune">
        <span class="corners corners-top"></span>
        <span class="corners corners-bottom"></span>

        <div class="title">Stats de la semaine</div>

        <span class="circles circles-top"></span>
        <span class="circles circles-bottom"></span>
    </div>
    <section>
    	<strong>Les stats de la semaine.</strong>
        <br><br>
        Remporte le plus de points possible pour faire gagner ton équipe, mais attention à ne pas lui en faire
        perdre !
        <br><br>

    </section>

	<table class="out">
    	<tr>
    		<td><div class="title_in">PKpeach - <?= $r0[0]['s'] ?> points</div></td>
    		<td><div class="title_in">Boomario - <?= $r1[0]['s'] ?> points</div></td>
    	</tr>
		<tr>
	    	<td>
	    		<?php 
	    			$req = $db->query('SELECT texte, points FROM scores WHERE team = 0 ORDER BY id DESC');
					while($r = $req->fetch()) {
						?>
						<span class="box-point">
							<table class="in">
								<td class="left"><?= $r['texte'] ?></td>
								<td class="right"><?= $r['points'] ?></td>
							</table>
						</span>
						<?php
					}
	    		?>
	    	</td>
	    	<td>
	    		<?php 
	    			$req = $db->query('SELECT texte, points FROM scores WHERE team = 1 ORDER BY id DESC');
					while($r = $req->fetch()) {
						?>
						<span class="box-point">
							<table class="in">
								<td class="left"><?= $r['texte'] ?></td>
								<td class="right"><?= $r['points'] ?></td>
							</table>
						</span>
						<?php
					}
	    		?>
	    		


	    	</td>
	    </tr>
    </table>

    
</main>
<?php
$infopage = ["", "Statistiques", ob_get_clean(), "", "stats"]; //relativepath, pagetitle, pagecontent, pagescript | cf structure/template.php ligne 2 à 6
include("structure/template.php");
?>